#
# spec file for package python-elasticsearch
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Test files not included in source archive
%bcond_with     test
Name:           python-elasticsearch
Version:        6.0.0
Release:        lp150.1.4
Summary:        Python client for Elasticsearch
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/elastic/elasticsearch-py
Source:         https://files.pythonhosted.org/packages/source/e/elasticsearch/elasticsearch-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nosexcover}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pyaml}
BuildRequires:  %{python_module requests >= 2.0.0}
BuildRequires:  %{python_module urllib3 >= 1.8}
%endif
Requires:       python-urllib3 >= 1.8
BuildArch:      noarch

%python_subpackages

%description
Official low-level client for Elasticsearch. Its goal is to provide common
ground for all Elasticsearch-related code in Python; because of this it tries
to be opinion-free and very extendable.

%prep
%setup -q -n elasticsearch-%{version}
rm README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%license LICENSE
%doc AUTHORS Changelog.rst README
%{python_sitelib}/*

%changelog
* Thu Nov 23 2017 mimi.vx@gmail.com
- fix Source url, use pypi package
* Thu Nov 23 2017 kkaempf@suse.com
- Update to 6.0.0
  * compatibility with Elasticsearch 6.0.0
* Thu Oct 19 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 5.4.0
  * see changelog at https://github.com/elastic/elasticsearch-py/blob/5.4.0/Changelog.rst
* Tue Feb 14 2017 jengelh@inai.de
- Remove hypothetical wording from description
* Mon Feb 13 2017 tbechtold@suse.com
- update to 5.2.0:
  * The client now automatically sends ``Content-Type`` http header set to
    ``application/json``. If you are explicitly passing in other encoding than
    ``json`` you need to set the header manually.
  * Fixed sniffing
  * Fixed performance regression in ``scan`` helper
  * when using SSL certificate validation is now on by default. Install
    ``certifi`` or supply root certificate bundle.
  * ``elasticsearch.trace`` logger now also logs failed requests, signature of
    internal logging method ``log_request_fail`` has changed, all custom
    connection classes need to be updated
  * added ``headers`` arg to connections to support custom http headers
  * passing in a keyword parameter with ``None`` as value will cause that param
    to be ignored
* Thu Jan 19 2017 dmueller@suse.com
- update to 2.4.0:
  * increase default size for ``scan`` helper to 1000
  * added ``client_key`` argument to configure client certificates
  * debug logging now includes response body even for failed requests
  * Elasticsearch 2.0 compatibility release
  * removed thrift and memcached connections, if you wish to continue using
    those, extract the classes and use them separately.
  * added a new, parallel version of the bulk helper using thread pools
  * In helpers, removed ``bulk_index`` as an alias for ``bulk``. Use ``bulk``
    instead.
  * thrift now deprecated, to be removed in future version
  * make sure urllib3 always uses keep-alive
* Wed Apr 29 2015 tbechtold@suse.com
- Initial packaging
